using System;
using System.Collections.Generic;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Remontor.Picter
{
    internal class PicBase
    {
        private Image Img;
        private string Login;
        private bool loaded;
        public PicBase(Image img) 
        {
           
            if(img != null)
            {
                Img = img;
                loaded = true;
            }
            else
            {
                loaded = false;
            }
           
        }

        public PicBase(Image img, string login)
        {
            Login = login;
            if (img != null)
            {
                Img = img;
                loaded = true;
            }
            else
            {
                loaded = false;
            }
        }

        public string LoginGet
        {
            get { return Login; }
        }

        public bool Loaded()
        {
            return loaded;
        }
        public Image ImageGet
        {
           get { return Img; }
        }

    }
}
